/ api / cat / special / _call
_call
Syntax

    GB_METHOD ( "_call" , Return Type , MyClass_call , Parameters )

    GB_STATIC_METHOD ( "_call" , Return Type , MyClass_call , Parameters )

The `_call` method is called when the class or the object is used as a function.

This method can be static. Then, the class will be able to be used as a function, not the object.

This method can take any parameters, and returns anything.

The Message class of the `gb.qt` component is a good example of the use of this feature.

### See also

Special Methods Methods Implementation